Foreman - Bug #10587

Notification flashes surpressed on subsequent actions

05/22/2015 04:07 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Notifications

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4513,
https://github.com/theforeman/foreman/p
ull/4523
Description

It seems that when one does something in foreman that should generate a notification flash, and then does it again, the second

notification is somehow suppressed.
E.g.

1. Go to Provisioning Templates
2. Build PXE Default

3. Get a notification on success
4. Edit a template

5. Build PXE Default

6. No second notification

Related issues:

Related to Foreman - Bug #19479: two-pane notifications are not visible

Closed

05/09/2017

Associated revisions

Revision b9df73be - 05/10/2017 04:25 AM - Ohad Levy
fixes #19479, #10587, #19500 - two pane notifications are visible

- notification is now inside the content div, allowing two-pane server
responses to include it.

- refactored all notifications to use notification helpers (notice,
warning and error) instead of direct flash manipulation

- also added the usage of flash now via the helpers, and fixed

it in a couple of places it was used incorrectly (mostly clone rendering
which does not redirect at all).

- fixed consisteny to remove trailing dots from toast messages (as it
seems most strings are without dot suffix).

- safer handing if notification div or its data is undefined.

History

#1 - 05/09/2017 04:33 AM - Ohad Levy

- Related to Bug #19479: two-pane notifications are not visible added

#2 - 05/09/2017 04:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/4513 added

#3 - 05/10/2017 05:01 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

05/19/2024
- % Done changed from 0 to 100

Applied in changeset b9df73be192a8485610f51a113b67260dc5f9e49.

#4 - 05/10/2017 05:02 AM - Dominic Cleal

- Category changed from Web Interface to Notifications

#5 - 05/10/2017 07:27 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/4523 added

05/19/2024
